#include<bits/stdc++.h>
using namespace std;
const int sv[10] = {6,2,5,5,4,5,6,3,7,6};
int main(){
    long long n;
    cin>>n;
    if(n%2 == 0){
        for(int i=0 ; i < n/2 ; i++){
            cout<<"1";
        }
    }
}
